
#include <stdio.h>
#include <limits.h>
#include <unistd.h>
#include "ossinput.h"

#define BSIZE 256

int main( int argc, char **argv )
{
    unsigned short buf[ BSIZE ];
    int foo;

/*
    if( !oss_read_open( 16, 48000, 2 ) ) {
        fprintf( stderr, "volcheck: can't open oss input.\n" );
        return 1;
    }
*/
    for(;;) {
        unsigned int min = UINT_MAX;
        unsigned int max = 0;
        int i, left, right;
        while( !oss_read_ready() ) { usleep( 20 ); }

        oss_read_fragment( (unsigned char *) buf, sizeof( buf ), &foo );
        for( i = 0; i < BSIZE; i++ ) {
            if( buf[ i ] < min ) min = buf[ i ];
            if( buf[ i ] > max ) max = buf[ i ];
        }
        left  = (int) ( ( (double) min / (double) UINT_MAX ) * 70.0 );
        right = (int) ( ( (double) max / (double) UINT_MAX ) * 70.0 );
        fprintf( stdout, "|" );
        for( i = 0; i < left; i++ ) fprintf( stdout, "-" );
        for( i = left; i < right; i++ ) fprintf( stdout, "=" );
        for( i = right; i < 70; i++ ) fprintf( stdout, " " );
        fprintf( stdout, "|\r" );
    }
    return 0;
}

